Package org.h2.command.ddl

# Class SchemaCommand

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.SchemaCommand

Direct Known Subclasses:
  `AlterDomain`, `AlterSequence`, `AlterTable`, `AlterTableSet`, `CommandWithColumns`, `CreateAggregate`, `CreateConstant`, `CreateDomain`, `CreateFunctionAlias`, `CreateIndex`, `CreateLinkedTable`, `CreateMaterializedView`, `CreateSequence`, `CreateSynonym`, `CreateTrigger`, `CreateView`, `DropAggregate`, `DropConstant`, `DropFunctionAlias`, `DropIndex`, `DropMaterializedView`, `DropSequence`, `DropSynonym`, `DropTrigger`, `DropView`, `RefreshMaterializedView`

public abstract class SchemaCommand extends DefineCommand
This class represents a non-transaction statement that involves a schema.

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`SchemaCommand(SessionLocal session, Schema schema)`
Create a new command.

## Method Summary

Modifier and Type
Method
Description
`protected final Schema`
`getSchema()`
Get the schema

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, getType, invalidateCachedResult, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SchemaCommand

public SchemaCommand(SessionLocal session, Schema schema)
Create a new command.

Parameters:
  `session` - the session
  `schema` - the schema

## Method Details

### getSchema

protected final Schema getSchema()
Get the schema

Returns:
  the schema